Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000949KdenliveFile Loadingpublic2009-06-22 00:202009-07-01 21:57
Reportermcfrisk 
Assigned Toadministrator 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.5Fixed in Version0.7.5 
Summary0000949: crash at mlt_properties_fetch (this=0x0, name=0x8292aaa "terminate_on_pause") at mlt_properties.c:348
DescriptionStarting kdenlive without projects works, as does opening a small project.

Opening my huge project fails with crash. Some of the videos in project have been renamed (actually re-encoded from .mts to .avi with mpeg4, deinterlaced, and fps set to correct values and not 6000, .dv files just deinterlaced). I don't know if this is related.

I am hoping to redo the edit by replacing interlaced clips with corresponding deinterlaced and fps-fixed ones.

Crash when opening project from command line:

Application: Kdenlive (kdenlive), signal SIGSEGV

Thread 1 (Thread 0xb5c15710 (LWP 27498)):
[KCrash Handler]
0000005 mlt_properties_fetch (this=0x0, name=0x8292aaa "terminate_on_pause") at mlt_properties.c:348
0000006 0xb7ff67af in mlt_properties_set_int (this=0x0, name=0x8292aaa "terminate_on_pause", value=1) at mlt_properties.c:738
0000007 0xb7fdae10 in Mlt::Properties::set () from /usr/lib/libmlt++.so.1
0000008 0x080bf9ea in Render::sceneList (this=0x8b9e280) at /home/mcfrisk/src/kdenlive/kdenlive-svn/build/src/renderer.cpp:891
0000009 0x080e4b60 in KdenliveDoc::slotAutoSave (this=0x8e549f8) at /home/mcfrisk/src/kdenlive/kdenlive-svn/build/src/kdenlivedoc.cpp:384
0000010 0x080e4fc3 in KdenliveDoc::qt_metacall (this=0x8e549f8, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbfe45928)
    at /home/mcfrisk/src/kdenlive/kdenlive-svn/build/src/cmake_bindir/kdenlivedoc.moc:107
0000011 0xb7402b98 in QMetaObject::activate (sender=0x8e51510, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3120
0000012 0xb7403822 in QMetaObject::activate (sender=0x8e51510, m=0xb74deae4, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3194
0000013 0xb743e5d7 in QTimer::timeout (this=0x8e51510) at .moc/release-shared/moc_qtimer.cpp:128
0000014 0xb740867e in QTimer::timerEvent (this=0x8e51510, e=0xbfe45dac) at kernel/qtimer.cpp:261
0000015 0xb73fd04f in QObject::event (this=0x8e51510, e=0xbfe45dac) at kernel/qobject.cpp:1082
0000016 0xb699e7bc in QApplicationPrivate::notify_helper (this=0x87c11e0, receiver=0x8e51510, e=0xbfe45dac) at kernel/qapplication.cpp:4057
0000017 0xb69a6ace in QApplication::notify (this=0xbfe46884, receiver=0x8e51510, e=0xbfe45dac) at kernel/qapplication.cpp:3604
0000018 0xb7daf5ed in KApplication::notify (this=0xbfe46884, receiver=0x8e51510, event=0xbfe45dac) at ../../kdeui/kernel/kapplication.cpp:307
0000019 0xb73eca2b in QCoreApplication::notifyInternal (this=0xbfe46884, receiver=0x8e51510, event=0xbfe45dac) at kernel/qcoreapplication.cpp:610
0000020 0xb741be41 in QTimerInfoList::activateTimers (this=0x87c4374) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
0000021 0xb7418440 in timerSourceDispatch (source=0x87c4340) at kernel/qeventdispatcher_glib.cpp:164
0000022 0xb60de848 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000023 0xb60e1d73 in ?? () from /usr/lib/libglib-2.0.so.0
0000024 0x087c3490 in ?? ()
0000025 0x00000000 in ?? ()

Crash when opening from file dialog:

Application: Kdenlive (kdenlive), signal SIGSEGV
[Current thread is 0 (LWP 27837)]

Thread 3 (Thread 0xb18e5b90 (LWP 27846)):
#0 0xb7f13424 in __kernel_vsyscall ()
#1 0xb6492272 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
0000002 0xb65967e4 in __pthread_cond_timedwait (cond=0xa5eaa08, mutex=0xa5ea9f0, abstime=0xb18e5108) at forward.c:152
0000003 0xb7ee7b49 in mlt_consumer_get_frame (this=0xa5ea958) at mlt_consumer.c:498
0000004 0xb7ee7db0 in mlt_consumer_rt_frame (this=0xa5ea958) at mlt_consumer.c:896
0000005 0xb4545d7a in consumer_thread (arg=0xa5ea958) at consumer_sdl_still.c:562
0000006 0xb648e495 in start_thread (arg=0xb18e5b90) at pthread_create.c:300
0000007 0xb6587a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xb10e4b90 (LWP 27847)):
#0 0xb7f13424 in __kernel_vsyscall ()
#1 0xb6491f45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
0000002 0xb659678d in __pthread_cond_wait (cond=0xa5dbc14, mutex=0xa5dbc44) at forward.c:139
0000003 0xb454540c in consumer_thread (arg=0xa5dbb00) at consumer_sdl_preview.c:381
0000004 0xb648e495 in start_thread (arg=0xb10e4b90) at pthread_create.c:300
0000005 0xb6587a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb5afe710 (LWP 27837)):
[KCrash Handler]
0000006 mlt_properties_fetch (this=0x0, name=0x8292aaa "terminate_on_pause") at mlt_properties.c:348
0000007 0xb7edf7af in mlt_properties_set_int (this=0x0, name=0x8292aaa "terminate_on_pause", value=1) at mlt_properties.c:738
0000008 0xb7ec3e10 in Mlt::Properties::set () from /usr/lib/libmlt++.so.1
0000009 0x080bf9ea in Render::sceneList (this=0xa5db0c0) at /home/mcfrisk/src/kdenlive/kdenlive-svn/build/src/renderer.cpp:891
0000010 0x080e4b60 in KdenliveDoc::slotAutoSave (this=0xa9bb3f8) at /home/mcfrisk/src/kdenlive/kdenlive-svn/build/src/kdenlivedoc.cpp:384
0000011 0x080e4fc3 in KdenliveDoc::qt_metacall (this=0xa9bb3f8, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbfe2c0c8)
    at /home/mcfrisk/src/kdenlive/kdenlive-svn/build/src/cmake_bindir/kdenlivedoc.moc:107
0000012 0xb72ebb98 in QMetaObject::activate (sender=0xa8aa6d8, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3120
0000013 0xb72ec822 in QMetaObject::activate (sender=0xa8aa6d8, m=0xb73c7ae4, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3194
0000014 0xb73275d7 in QTimer::timeout (this=0xa8aa6d8) at .moc/release-shared/moc_qtimer.cpp:128
0000015 0xb72f167e in QTimer::timerEvent (this=0xa8aa6d8, e=0xbfe2c54c) at kernel/qtimer.cpp:261
0000016 0xb72e604f in QObject::event (this=0xa8aa6d8, e=0xbfe2c54c) at kernel/qobject.cpp:1082
0000017 0xb68877bc in QApplicationPrivate::notify_helper (this=0xa1fb1a8, receiver=0xa8aa6d8, e=0xbfe2c54c) at kernel/qapplication.cpp:4057
0000018 0xb688face in QApplication::notify (this=0xbfe2ee34, receiver=0xa8aa6d8, e=0xbfe2c54c) at kernel/qapplication.cpp:3604
0000019 0xb7c985ed in KApplication::notify (this=0xbfe2ee34, receiver=0xa8aa6d8, event=0xbfe2c54c) at ../../kdeui/kernel/kapplication.cpp:307
0000020 0xb72d5a2b in QCoreApplication::notifyInternal (this=0xbfe2ee34, receiver=0xa8aa6d8, event=0xbfe2c54c) at kernel/qcoreapplication.cpp:610
0000021 0xb7304e41 in QTimerInfoList::activateTimers (this=0xa1fdecc) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
0000022 0xb7301440 in timerSourceDispatch (source=0xa1fde98) at kernel/qeventdispatcher_glib.cpp:164
0000023 0xb5fc7848 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000024 0xb5fcad73 in ?? () from /usr/lib/libglib-2.0.so.0
0000025 0x0a1fd490 in ?? ()
0000026 0x00000000 in ?? ()

kdenlive version is svn 3551, ffmpeg is git 2009-06-15 (commit id
3fced7eb8de2a9a49828e5f99dbe10c77f3a5070 ) and mlt version svn1497. All these under Debian unstable. Yes, I will try newer ones next.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0003375)
mcfrisk (reporter)
2009-06-22 17:59

Switching to ffmpeg git a3f7c864fd0fd9e02b3fc2bdc9e892e18613753e from Sun Jun 21 21:37:05 2009 +0000, mlt git commit 9c3034ae471b5c1f9ab6677b5e156c01f77476c6 from Sun Jun 21 20:39:21 2009 -0700 and kdenlive svn 3615 seems to fix the file loading crash.

- Issue History
Date Modified Username Field Change
2009-06-22 00:20 mcfrisk New Issue
2009-06-22 00:20 mcfrisk Build/Install Method => Manual build from SVN
2009-06-22 17:59 mcfrisk Note Added: 0003375
2009-06-25 17:29 administrator Status new => resolved
2009-06-25 17:29 administrator Fixed in Version => Recent git
2009-06-25 17:29 administrator Resolution open => fixed
2009-06-25 17:29 administrator Assigned To => administrator
2009-06-27 02:17 j-b-m Target Version => 0.7.5
2009-07-01 20:02 j-b-m Fixed in Version Recent git => 0.7.5
2009-07-01 21:57 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker